Page MenuHomeVyOS Platform

VRF add route leaking support
Closed, ResolvedPublicFEATURE REQUEST

Description

VRF route leaking needs to be added to CLI. Routes can be leaked using:

FRR vtysh: ip route 192.0.2.0/24 172.18.204.254 vrf red nexthop-vrf default

This will add a routing table entry into VRF red for destination 192.0.2.0/24 going via the default VRF

vyos# show ip route vrf red
Codes: K - kernel route, C - connected, S - static, R - RIP,
       O - OSPF, I - IS-IS, B - BGP, E - EIGRP, N - NHRP,
       T - Table, v - VNC, V - VNC-Direct, A - Babel, D - SHARP,
       F - PBR, f - OpenFabric,
       > - selected route, * - FIB route, q - queued route, r - rejected route


VRF red:
K   0.0.0.0/0 [255/8192] unreachable (ICMP unreachable), 00:33:44
S>* 192.0.2.0/24 [1/0] via 172.18.204.254, eth0.204(vrf default), 00:01:01

Question is now how should the CLI command be named?

An idea would be set protocols vrf <name> static route <subnet> next-hop <address> next-hop-vrf <vrf> which would mimic the CLI used by next-hop-interface.

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
ResolvedFEATURE REQUESTc-po
ResolvedFEATURE REQUESTc-po

Event Timeline

c-po created this task.Mar 8 2020, 7:04 PM
c-po changed the task status from Open to In progress.Mar 9 2020, 7:28 PM
c-po claimed this task.
c-po closed this task as Resolved.Mar 9 2020, 8:18 PM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Mar 22 2020, 8:51 AM
Tjeu removed a subscriber: Tjeu.Mar 22 2020, 4:56 PM